Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

List workspace skills

GET /api/agents/skills

List Pipeline-owned first-party skills available in the workspace. Each row includes name, description, agent roles, version metadata, and whether it is currently available. Read-only.

Parameters

workspaceId
string
No description.

Example

REST requestbash
curl -X GET "https://app.pipeline.help/api/agents/skills" \
-H "Authorization: Bearer $PIPELINE_API_KEY"

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"skills": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"sourceType": {
"type": "string",
"enum": [
"first_party"
]
},
"name": {
"type": "string"
},
"description": {
"type": "string"
},
"agentRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"requiresContext": {
"type": "array",
"items": {
"type": "string"
}
},
"requiredConnectors": {
"type": "array",
"items": {
"type": "string"
}
},
"optionalConnectors": {
"type": "array",
"items": {
"type": "string"
}
},
"enabled": {
"type": "boolean"
},
"unavailableReason": {
"type": "string"
},
"runtimeCompatible": {
"type": "boolean"
},
"definitionVersion": {
"type": "number"
},
"contentHash": {
"type": "string"
},
"syncedContentHash": {
"type": "string"
},
"createdAt": {
"type": "string"
}
},
"required": [
"id",
"workspaceId",
"name",
"description"
]
}
}
},
"required": [
"skills"
]
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline